[youtubei.js](../../../../README.md) / [Misc](../README.md) / Thumbnail

# Class: Thumbnail

Defined in: [src/parser/classes/misc/Thumbnail.ts:3](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/Thumbnail.ts#L3)

## Constructors

### Constructor

> **new Thumbnail**(`data`): `Thumbnail`

Defined in: [src/parser/classes/misc/Thumbnail.ts:8](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/Thumbnail.ts#L8)

#### Parameters

##### data

[`RawNode`](../../../../type-aliases/RawNode.md)

#### Returns

`Thumbnail`

## Properties

### height

> **height**: `number`

Defined in: [src/parser/classes/misc/Thumbnail.ts:6](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/Thumbnail.ts#L6)

***

### url

> **url**: `string`

Defined in: [src/parser/classes/misc/Thumbnail.ts:4](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/Thumbnail.ts#L4)

***

### width

> **width**: `number`

Defined in: [src/parser/classes/misc/Thumbnail.ts:5](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/Thumbnail.ts#L5)

## Methods

### fromResponse()

> `static` **fromResponse**(`data`): `Thumbnail`[]

Defined in: [src/parser/classes/misc/Thumbnail.ts:17](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/Thumbnail.ts#L17)

Get thumbnails from response object.

#### Parameters

##### data

`any`

#### Returns

`Thumbnail`[]
